Subject: "tar u" ignores files if archive modification time >= folder modification time

From: Karsten Loesing <[email-masked]>
Date: Wed, 30 Mar 2011 14:13:58 +0200

Hello list,

today I found that "tar u" doesn't update an archive unless the folder's
modification time is newer than the archive's modification time.

So, for example, creating a folder files/ with file-1, creating a test.tar
from it, creating another file files/file-2, and updating test.tar won't
add file-2 if this all happens in the same second.

Even touching files/file-2 a few seconds later won't add it to the tarball
if one tries to update it.

The only way to add files/file-2 is to touch the files/ folder before
updating the tarball.

Please find the attached shell script for an example.

I'm running "tar (GNU tar) 1.20", and I confirmed that "bsdtar 2.6.2 -
libarchive 2.6.2" on Mac OS X 10.6 behaves differently.  So, either this
is a bug, or at least a documentation/usability problem.

Thanks,
Karsten